<?php
/**
 * Template Name: About Us Template                                            
 * The template for displaying about us page.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

get_header(); 
$options = elead_pro_get_theme_options(); 
$about_advert_title      = ! empty( $options['about_advert_title'] ) ? $options['about_advert_title'] : esc_html__( 'We are educational temple','elead-pro' );
$about_advert_btn_label  = ! empty( $options['about_advert_btn_label'] ) ? $options['about_advert_btn_label'] : esc_html__( 'Send Message','elead-pro' );
$about_advert_url  = ! empty( $options['about_advert_url'] ) ? $options['about_advert_url'] : esc_html__( '#','elead-pro' );
        
?>

<section id="about-education" class="col-2 page-section">
    <div class="wrapper">
        <div class="hentry">
            <header class="entry-header">
                <?php if ( ! empty( $about_advert_title ) ) : ?>
                    <h2 class="entry-title"><?php echo esc_html( $about_advert_title ); ?></h2>
                <?php endif; 
                if ( ! empty( $about_advert_btn_label ) ) : ?>
                    <a href="<?php echo esc_url( $about_advert_url ); ?>" class="btn btn-transparent"><?php echo esc_html( $about_advert_btn_label ); ?></a>
                <?php endif; ?>
            </header><!-- .entry-header -->
        </div><!-- .hentry -->
        <div class="hentry">
            <div class="entry-content">
                <?php 
                while ( have_posts() ) : the_post();
                    the_content(); 
                endwhile; ?>
            </div><!-- .entry-content -->
        </div><!-- .hentry -->        
    </div><!-- .wrapper -->
</section><!-- #about-us -->

<?php 
/**
 * elead_pro_about_template_content hook
 *
 * @hooked elead_pro_add_about_message_section -  10
 * @hooked elead_pro_add_about_features_section -  20
 * @hooked elead_pro_add_aboutteam_section -  30
 */
do_action( 'elead_pro_about_template_content' );   

get_footer();