<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

// Add pagination section
$wp_customize->add_section( 'elead_pro_pagination', array(
	'title'               => esc_html__('Pagination','elead-pro'),
	'description'         => esc_html__( 'Pagination section options.', 'elead-pro' ),
	'panel'               => 'elead_pro_theme_options_panel',
) );

// pagination enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[pagination_enable]', array(
	'sanitize_callback'   => 'elead_pro_sanitize_checkbox',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'elead-pro' ),
	'section'             => 'elead_pro_pagination',
	'type'                => 'checkbox',
) );

// pagination type setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'elead_pro_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'elead-pro' ),
	'description'		  => esc_html__( 'Works on Blog and Archive Page Only', 'elead-pro' ),
	'section'             => 'elead_pro_pagination',
	'type'                => 'select',
	'choices'			  => elead_pro_pagination_options(),
	'active_callback'	  => 'elead_pro_is_pagination_enable',
) );
