<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Elead Pro
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function elead_pro_widgets_init() {

	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'elead-pro' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'elead-pro' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	// Header Widget Area
	register_sidebar( array(
		'name'          => esc_html__( 'Header Widget Area', 'elead-pro' ),
		'id'            => 'header-widget',
		'description'   => esc_html__( 'This widget area only supports search widget and contact-info widget here.', 'elead-pro' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s hentry">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	// Optional Sidebar Widget Area
	register_sidebars( 3, array(
		'name'          => esc_html__( 'Optional Sidebar %d', 'elead-pro' ),
		'id'            => 'elead-pro-optional-sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'elead-pro' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	// Footer Widget Area
	register_sidebars( 4, array(
		'name'          => esc_html__( 'Footer Widget Area %d', 'elead-pro' ),
		'id'            => 'elead-pro-footer-widget-area',
		'description'   => esc_html__( 'This Widget Area is for Footer Section.', 'elead-pro' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
}
add_action( 'widgets_init', 'elead_pro_widgets_init' );

/*
 * Add social link widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';
/*
 * Add Ad image widget
 */
require get_template_directory() . '/inc/widgets/ad-image-widget.php';
/*
 * Add Contact info widget
 */
require get_template_directory() . '/inc/widgets/contact-info-widget.php';
/*
 * Add instagram widget
 */
require get_template_directory() . '/inc/widgets/instagram-widget.php';
/*
 * Add Latest Posts widget
 */
require get_template_directory() . '/inc/widgets/latest-posts-widget.php';
/*
 * Add popular post meta
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-meta.php';
/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-widget.php';
/*
 * Add custom category widget
 */
require get_template_directory() . '/inc/widgets/custom-category-widget.php';
/*
 * Add post slider widget
 */
require get_template_directory() . '/inc/widgets/post-slider-widget.php';